The cirros image was rebuilt against the 3.13.0-83 kernel, drivers e1000e, igbvf...
[packages/trusty/cirros-testvm.git] / cirros-testvm / src-cirros / buildroot-2015.05 / package / lighttpd / S50lighttpd
diff --git a/cirros-testvm/src-cirros/buildroot-2015.05/package/lighttpd/S50lighttpd b/cirros-testvm/src-cirros/buildroot-2015.05/package/lighttpd/S50lighttpd
new file mode 100644 (file)
index 0000000..752402c
--- /dev/null
@@ -0,0 +1,37 @@
+#!/bin/sh
+#
+# Starts lighttpd.
+#
+
+start() {
+       echo -n "Starting lighttpd: "
+       start-stop-daemon -S -q -p /var/run/lighttpd.pid --exec /usr/sbin/lighttpd -- -f /etc/lighttpd/lighttpd.conf
+       echo "OK"
+}
+stop() {
+       echo -n "Stopping lighttpd: "
+       start-stop-daemon -K -q -p /var/run/lighttpd.pid
+       echo "OK"
+}
+restart() {
+       stop
+       start
+}
+
+case "$1" in
+  start)
+       start
+       ;;
+  stop)
+       stop
+       ;;
+  restart|reload)
+       restart
+       ;;
+  *)
+       echo "Usage: $0 {start|stop|restart}"
+       exit 1
+esac
+
+exit $?
+